Returns the comment with the specified id of the task with the specified id.

GEThttps://api.awork.com/api/v1/tasks/{taskId}/comments/{commentId}
GET https://api.awork.com/api/v1/tasks/{taskId}/comments/{commentId}

Returns the comment with the specified id of the task with the specified id.

Authentication

AuthorizationBearer

Send your token in the Authorization: Bearer <token> header. See Authentication for API keys and OAuth.

Path parameters

taskIdstringRequired
format: uuid

The id of the task.

commentIdstringRequired
format: uuid

The id of the comment.

Responses

200 OK

application/json

idstringOptional
format: uuid

The id of the comment.

entityIdstringOptional
format: uuid

The id of the entity of the comment. Required.

entityTypestring or nullOptional

The type of the entity of the comment. Can be "projects", "tasks". Required.

entityobjectOptional
Show 2 properties
idstringOptional
format: uuid

The id of the entity.

namestring or nullOptional

The name of the entity.

projectobjectOptional
Show 2 properties
idstringOptional
format: uuid

The id of the entity.

namestring or nullOptional

The name of the entity.

taskobjectOptional
Show 2 properties
idstringOptional
format: uuid

The id of the entity.

namestring or nullOptional

The name of the entity.

documentobjectOptional
Show 2 properties
idstringOptional
format: uuid

The id of the entity.

namestring or nullOptional

The name of the entity.

createdOnstringOptional
format: date-time

The date this object was created.

createdBystringOptional
format: uuid

The id of the user who created this object.

userobjectOptional
Show 5 properties
idstringOptional
format: uuid

The identifier of the nested model.

firstNamestring or nullOptional

The first name of the user.

lastNamestring or nullOptional

The last name of the user.

hasImageboolean or nullOptional

Whether this user has a profile image.

isExternalbooleanOptional

True if the model is coming from an external workspace (awork Connect). False otherwise.

agentIdstring or nullOptional
format: uuid

The agent that visibly authored this comment, when it was created by an agent run.

agentNameSnapshotstring or nullOptional

The agent name captured when the comment was created.

updatedOnstringOptional
format: date-time

The date this object was last modified.

updatedBystringOptional
format: uuid

The id of the user who last modified this object.

mentionsobjectOptional

A mention is the tag of a user on a specific comment, so the user is notified.

Show 4 properties
isMentioningPersonalAgentbooleanOptional

Gets or sets whether the comment mentions the awork Agent.

usersarray of object or nullOptional

All users which have been mentioned in the comment.

Show 5 properties
idstringOptional
format: uuid

The identifier of the nested model.

firstNamestring or nullOptional

The first name of the user.

lastNamestring or nullOptional

The last name of the user.

hasImageboolean or nullOptional

Whether this user has a profile image.

isExternalbooleanOptional

True if the model is coming from an external workspace (awork Connect). False otherwise.

agentIdsarray of string or nullOptional

Stable ids of agents mentioned directly in the comment.

everyUserHadPermissionsbooleanOptional

If every user was able to receive the mention notification. If not, one of the users had no permissions to.

reactionsarray of object or nullOptional

The reactions on a comment.

Show 2 properties
userIdstringOptional
format: uuid

All users ids that reacted with the emoji.

emojistring or nullOptional

The emoji used as a reaction.

formattedMessagestring or nullOptional

The formatted and proccessed version of the comment message. E.g. mentions are in a human readable format. The formatted comment message is styled with html.

plainFormattedMessagestring or nullOptional

The formatted and proccessed version of the comment message. E.g. mentions are in a human readable format. The formatted comment message is not styled.

resourceVersionintegerOptional
format: int64

The version of the entity, updated on every modification, to the ticks in UTC. Not identical to UpdatedOn.

messagestring or nullOptional

The message of the comment.

userIdstring or nullOptional
format: uuid

The id of the user who created the comment. Optional. If not set, defaults to the current user.

previewsarray of string or nullOptional

The preview URLs to show a preview for.

isHiddenForConnectUsersbooleanOptional

True if the comment should be hidden to connect users.

isResolvedboolean or nullOptional

Whether the comment has been resolved. Only available for comments on documents.

inReplyToCommentIdstring or nullOptional
format: uuid

The parent comment this comment is a reply to.

401 Unauthorized

application/json

codestringRequired
minLength: 1

The error code.

descriptionstringRequired
minLength: 1

The description of the error.

linkstringRequired
minLength: 1

The link to the API documentation page.

detailsarray of string or nullOptional

A list of details describing the error.

validationErrorsarray of object or nullOptional

If a validation error occurred, this contains the validation errors for each property.

Show 2 properties
propertystring or nullOptional

The name of the property that failed validation.

messagestring or nullOptional

The reason why this property failed validation.

traceIdstring or nullOptional

The request trace id for tracking the request.

Search documentation